###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code de
%define lang_name German

Copyright: distributable
Source: rhel-rg-%{lang_code}-%{version}.tbz
Release: 3
Name: rhel-rg-%{lang_code}
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: Red Hat Enterprise Linux %{version} Reference Guide (%{lang_code})
Obsoletes: rhl-rg
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 

The %{lang_name} Red Hat Enterprise Linux %{version} Reference Guide provides
in-depth information about the Red Hat Linux operating system such as the file
system structure, the boot process, the X Window System, network protocols, and
security tools.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Reference Guide (%{lang_code})
Comment=Reference additional Red Hat Linux information (%{lang_name})
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Mar 24 2004 Paul Gampe <pgampe@redhat.com>
- Further renaming changes

* Thu Mar 04 2004 Paul Gampe <pgampe@redhat.com>
- Renaming to x86-64

* Mon Sep 08 2003 Paul Gampe <pgampe@redhat.com>
- Initial release

